function [ res ] = vdistg( Y1, Y2 )
%
% Inputs:
%   Y1 - mxd matrix (m=number of points, d=number of dimensions)
%   Y2 - nxd matrix (n=number of points, d=number of dimensions)
%
% Output:
%   res - m x n x d NDArray 
%
% Written by:
% -- 
% John L. Weatherwax                2005-10-30
% 
% email: wax@alum.mit.edu
% 
% Please send comments and especially bug reports to the
% above email address.
% 
%-----

[n,d]=size(Y1); [m,d]=size(Y2); 
vOut = vdist( Y1, Y2 ); 
vOutR = reshape( vOut.', m, n, [] ); 
res = permute( vOutR, [ 2, 1, 3 ] ); 
