function cyclefigs
%CYCLEFIGS Cycle through figure windows.
%
%   CYCLEFIGS brings up all open figure in ascending order and pauses after
%   each figure.  When done, the figures are sorted in ascending order.

%   Author:      Peter J. Acklam
%   Time-stamp:  2002-03-03 13:51:54 +0100
%   E-mail:      pjacklam@online.no
%   URL:         http://home.online.no/~pjacklam
  
% Find all figure handles, sort them, and count them.
figs = findobj('Type', 'figure');
figs = sort(figs);
n    = length(figs);

% Bring one figure up at a time.
for i = 1:n
   figure(figs(i));
   if i < n
      fprintf('Press any key do display figure %i\n', figs(i+1));
   end
   pause;
end

% I don't think we need to do this ... seems just to take time:
% Sort the figures.
% for i = n:-1:1
%    figure(figs(i));
% end
