function [ W ] = computeW( thetas, d, D, W0 )
%
% This is equation 42
% --checked (2005-11-12)
% 
% Written by:
% -- 
% John L. Weatherwax                2005-10-30
% 
% email: wax@alum.mit.edu
% 
% Please send comments and especially bug reports to the
% above email address.
% 
%-----

if( nargin < 4 ) 
  W0 = eye(D,d);
end

% Compute W (one could make the indices look nicer now ...)
%
W = W0; 
for i=d*(D-d):-1:1,
  o=floor((i-1)/(D-d))+1; u=mod(i-1,D-d)+d+1; G1 = eye(D,D);
  G1(o,o) =  cos(thetas(i)); G1(o,u) = sin(thetas(i)); G1(u,o) = -sin(thetas(i)); G1(u,u) =  cos(thetas(i)); 
  W = G1 * W;
end
